import json

try:
    with open("knjige.json", "r") as f:
        knjige = json.load(f)
    with open("telfi.json", "r") as f:
        telfi_cene = json.load(f)
    with open("laluna.json", "r") as f:
        laluna_cene = json.load(f)
    with open("neopoetika.json", "r") as f:
        neopoetika_cene = json.load(f)
except IOError as err:
    print(err)
    exit(1)

def cena (naziv_knjige, knjizara):
    for knjiga in knjizara:
        if knjiga['naziv'] == naziv_knjige:
            return knjiga['cena']

def min_cena(naziv_knjige):
    return min([
        cena(naziv_knjige, knjizara_cene) for knjizara_cene in [telfi_cene, laluna_cene, neopoetika_cene]
    ])

telfi_racun = sum([cena(knjiga['naziv'], telfi_cene) * knjiga['kolicina'] for knjiga in knjige])
laluna_racun = sum([cena(knjiga['naziv'], laluna_cene) * knjiga['kolicina'] for knjiga in knjige])
neopoetika_racun = sum([cena(knjiga['naziv'], neopoetika_cene) * knjiga['kolicina'] for knjiga in knjige])

min_racun = sum([
    knjiga['kolicina'] * min_cena(knjiga['naziv'])
    for knjiga in knjige
])

print("Ukupan račun - Telfi: ", telfi_racun)
print("Ukupan račun - Laluna: ", laluna_racun)
print("Ukupan račun - Neopoetika: ", neopoetika_racun)
print("Minimalni račun: ", min_racun)
